export declare const setNullOnMissingValues: <A, B>(record?: Record<string, A>, oldRecord?: Record<string, B>) => Record<string, A | null>;
export declare const zipObjects: <A, B>(recordA: Record<string, A>, recordB: Record<string, B>) => Record<string, [A | null, B | null]>;
export declare const mapValues: <A, B>(record: Record<string, A>, fn: (value: A, key: string) => B) => Record<string, B>;
export declare const mapValuesAsync: <A, B>(record: Record<string, A>, fn: (value: A, key: string) => Promise<B>) => Promise<Record<string, B>>;
export declare const mapKeys: <A>(record: Record<string, A>, fn: (value: A, key: string) => string) => Record<string, A>;
export declare function filterValues<A, B extends A>(record: Record<string, A>, fn: (value: A, key: string) => value is B): Record<string, B>;
export declare function filterValues<A, _B extends A>(record: Record<string, A>, fn: (value: A, key: string) => boolean): Record<string, A>;
export declare const mergeRecords: <K extends string, V>(a: Record<K, V>, b: Record<K, V>, merge: (v1: V, v2: V) => V) => Record<K, V>;
